# TdApi.RequestQrCodeAuthentication (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: RequestQrCodeAuthentication

Package it.tdlight.jni

# Class TdApi.RequestQrCodeAuthentication

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.RequestQrCodeAuthentication

Enclosing class:
  TdApi

    public static class TdApi.RequestQrCodeAuthentication
    extends TdApi.Function

Requests QR code authentication by scanning a QR code on another logged in device. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`long[]` | `otherUserIds` | List of user identifiers of other users currently using the application.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RequestQrCodeAuthentication()` | Requests QR code authentication by scanning a QR code on another logged in device.
`RequestQrCodeAuthentication​(long[] otherUserIds)` | Requests QR code authentication by scanning a QR code on another logged in device.
`RequestQrCodeAuthentication​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### otherUserIds

public long[] otherUserIds
List of user identifiers of other users currently using the application.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### RequestQrCodeAuthentication

public RequestQrCodeAuthentication()
Requests QR code authentication by scanning a QR code on another logged in device. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

### RequestQrCodeAuthentication

public RequestQrCodeAuthentication​(long[] otherUserIds)
Requests QR code authentication by scanning a QR code on another logged in device. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `otherUserIds` - long[] List of user identifiers of other users currently using the application.

### RequestQrCodeAuthentication

public RequestQrCodeAuthentication​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`